Help updating Thunar to 1.4.0

Questions about applications and software
Forum rules
Before you post please read how to get help

Help updating Thunar to 1.4.0

Postby lkraemer on Fri Jul 06, 2012 8:32 am

I'd like to update thunar to version 1.4.0 versus 1.2.3 which is default in LMDE 201204.

I've downloaded the Thunar-1.4.0.bz2 file and extracted the folder. The README file references the INSTALL file which does not exist.

What procedure do I follow to REMOVE Thunar 1.2.3 and install Thunar 1.4.0 in Linux Mint 201204 (LMDE)?

Any help is appreciated.

Thanks.

Larry
lkraemer
Level 2
Level 2
 
Posts: 52
Joined: Tue Apr 24, 2012 9:05 pm

Linux Mint is funded by ads and donations.
 

Re: Help updating Thunar to 1.4.0

Postby jjaythomas on Fri Jul 06, 2012 8:51 am

Thunar 1.4 is part of the XFCE4.10 package

If your running Ubuntu based Mint it in the repo included on ISO of the Mint13-XFCE RC (and default used). If other you can activate the 4.10 PPA (search 'XFCE 4.10 Ubuntu' on web for PPA), then only select the Thunar 1.4 package.
Deactivate the PPA or during Updates well pull other stuff.

If Debian (LMDE) need to compile (I couldn't find a Deb of the package alone)

P.S. I believe 1.4 (is mostly a recomile to work in XFCE 4.10 (no new features/bug fixes ect.) :wink:

J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm

Re: Help updating Thunar to 1.4.0

Postby lkraemer on Fri Jul 06, 2012 9:56 am

jjaythomas,
Thanks for the reply.
If Debian (LMDE) need to compile (I couldn't find a Deb of the package alone)


Yes, that was the same decision I came up with. But, not being a Developer, or Software GURU, I started with the README file.
That file referenced the INSTALL file, and it's not included. I'm wondering WHY? So, I looked for the .configure file, and it doesn't
exist either. There is a ./autogen.sh file, and I tried running that. It found some dependencies that I didn't have. But, there must be lots
more, because it errors out with the following:
~/Downloads/Thunar_140/thunar-1.4.0 $ ./autogen.sh --prefix="/usr/local"
Preparing package directory /home/mint/Downloads/Thunar_140/thunar-1.4.0...
Running glib-gettextize --force --copy...
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize --automake --copy --force
Patching file 'po/Makefile.in.in'
Running gtkdocize --copy...
Running aclocal-1.11 -I /usr/share/xfce4/dev-tools/m4macros -I /usr/share//xfce4/dev-tools/m4macros -I /usr/share/xfce4/dev-tools/m4macros...
configure.in:216: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
/usr/share/xfce4/dev-tools/m4macros/xdt-features.m4:39: XDT_SUPPORTED_FLAGS is expanded from...
/usr/share/xfce4/dev-tools/m4macros/xdt-features.m4:59: XDT_FEATURE_DEBUG is expanded from...
configure.in:216: the top level
configure.in:221: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
/usr/share/xfce4/dev-tools/m4macros/xdt-features.m4:39: XDT_SUPPORTED_FLAGS is expanded from...
configure.in:221: the top level
Running autoheader...
configure.in:216: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
aclocal.m4:11116: XDT_SUPPORTED_FLAGS is expanded from...
aclocal.m4:11136: XDT_FEATURE_DEBUG is expanded from...
configure.in:216: the top level
configure.in:221: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
aclocal.m4:11116: XDT_SUPPORTED_FLAGS is expanded from...
configure.in:221: the top level
Running automake-1.11 --force-missing --add-missing --copy --gnu...
configure.in:216: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
aclocal.m4:11116: XDT_SUPPORTED_FLAGS is expanded from...
aclocal.m4:11136: XDT_FEATURE_DEBUG is expanded from...
configure.in:216: the top level
configure.in:221: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
aclocal.m4:11116: XDT_SUPPORTED_FLAGS is expanded from...
configure.in:221: the top level
configure.in:87: required file `./ltmain.sh' not found
docs/Makefile.am:16: `%'-style pattern rules are a GNU make extension
plugins/thunar-sendto-email/Makefile.am:32: `%'-style pattern rules are a GNU make extension
Makefile.am:34: whitespace following trailing backslash
Makefile.am:65: `%'-style pattern rules are a GNU make extension
Makefile.am:74: `%'-style pattern rules are a GNU make extension
mint@mint ~/Downloads/Thunar_140/thunar-1.4.0 $


So, I'm back to the original question............................

But, on second thought forget the compile help request. I've decided to go to:
SETTINGS -> PREFERED APPLICATIONS -> UTILITY TAB and set Nautilus as my File Manager.

I'll use Nautilus until LMDE - Thunar is updated to 1.4.0 or a later version, which will fix the
problems I have with it.


Thanks.

Larry
lkraemer
Level 2
Level 2
 
Posts: 52
Joined: Tue Apr 24, 2012 9:05 pm

Re: Help updating Thunar to 1.4.0

Postby xircon on Sat Jul 07, 2012 6:21 am

Larry

Thunar 1.4 is in the experimental repo. I have it installed OK, put the repos in, cherry pick the programs you want, then disable the repos.

http://packages.debian.org/experimental/xfce/thunar
Code: Select all
## experimental ##
# deb http://ftp.debian.org/debian experimental main contrib non-free
# deb-src http://ftp.debian.org/debian experimental main contrib non-free
# deb http://www.debian-multimedia.org experimental main non-free


Put the above in your sources.list and remove the leading '#', put the '#' back when finished.

Steve
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: Help updating Thunar to 1.4.0

Postby lkraemer on Sat Jul 07, 2012 7:48 am

xircon,
THANKS......I'll do that ASAP!

Larry
lkraemer
Level 2
Level 2
 
Posts: 52
Joined: Tue Apr 24, 2012 9:05 pm

Re: Help updating Thunar to 1.4.0

Postby jjaythomas on Sat Jul 07, 2012 11:23 am

Thunar 1.4 is in the experimental repo. I have it installed OK, put the repos in, cherry pick the programs you want, then disable the repos.


Yea it's in their (but at least I tried and, nogo, you may have better luck) :mrgreen:

It needs a bunch of dependences testing don't have (and if also pull well kill other apps.) pulling the whole 'XFCE4 meta package may do it.
I seen 4.10 will be included for UPack 5 (presumably from experimental or sid (not their yet). LMDE should see Upack 5 by end july (hopefully :) )

J.Jay
P.S. let us know if get (don't like nautilus in XFCE, causes other problems (conflicts with 'xfwm' and xfdesktop functions.

J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm


Return to Software & Applications

Who is online

Users browsing this forum: airani, Yahoo [Bot] and 13 guests